cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Animesh Chaturvedi <animesh.chaturv...@citrix.com>
Subject RE: License issue for js file from ui-plugins merge
Date Thu, 14 Feb 2013 19:49:49 GMT


> -----Original Message-----
> From: Chip Childers [mailto:chip.childers@sungard.com]
> Sent: Thursday, February 14, 2013 9:10 AM
> To: cloudstack-dev@incubator.apache.org
> Cc: Brian Federle
> Subject: Re: License issue for js file from ui-plugins merge
> 
> On Thu, Feb 14, 2013 at 05:38:11PM +0530, Pranav Saxena wrote:
> > Yeah right now the require.js file merged has this license -
> >
> > /** vim: et:ts=4:sw=4:sts=4
> >  * @license RequireJS 2.1.2 Copyright (c) 2010-2012, The Dojo Foundation All
> Rights Reserved.
> >  * Available via the MIT or new BSD license.
> >  * see: http://github.com/jrburke/requirejs for details  */ //Not
> > using strict: uneven strict support in browsers, #392, and causes
> > //problems with requirejs.exec()/transpiler plugins that may not be strict.
> > /*jslint regexp: true, nomen: true, sloppy: true */ /*global window,
> > navigator, document, importScripts, jQuery, setTimeout, opera *
> >
> 
> I'm assuming that we have consensus that this script should be added, unless
> anyone objects.
> 
> I'll look at fixing the legal docs, but please try to warn before adding something
> new next time.
> 
[Animesh>] Certainly we need to check the licensing before we add new dependencies. How
do we handle this particular issue?

> >
> > This needs to be changed to the Apache licensing  , right ?
> 
> David already answered this one, please no!
> 
> >
> > Regards,
> > Pranav
> >
> > -----Original Message-----
> > From: rohityadav89@gmail.com [mailto:rohityadav89@gmail.com] On Behalf
> > Of Rohit Yadav
> > Sent: Thursday, February 14, 2013 5:22 PM
> > To: cloudstack-dev@incubator.apache.org
> > Cc: Brian Federle
> > Subject: License issue for js file from ui-plugins merge
> >
> > Hi Brian for you commit on master, can you fix the license for
> ui/lib/require.js?
> > It suggests an external depedency require.js from Dojo Foundation. We need
> to attribute them in LICENSE and fix other files so rat won't complain.
> >
> > Commit:
> > commit 59c77b4850976b17af2b9ff7cceb051ae7b1e774
> > Author: Brian Federle <brian.federle@citrix.com>
> > Date:   Wed Dec 19 15:47:25 2012 -0800
> >
> > Regards.
> >

Mime
View raw message